/*****************************************************************************
 * Copyright (c) 1988-95 Digi International Inc., All Rights Reserved
 * 
 * This  software  contains  proprietary  and  confidential   information   of
 * Digi International  Inc.   By  accepting  transfer  of this copy, Recipient
 * agrees to retain this software in  confidence,  to  prevent  disclosure  to
 * others,  and  to make no  use of this software other than that for which it
 * was delivered.  This is an unpublished copyright work  Digi   International
 * Inc.    Except   as   permitted   by  federal  law,  17 USC 117, copying is
 * strictly prohibited.
 * 
 * Digi  International  Inc.  CONFIDENTIAL  -   (Digi    International    Inc.
 * Confidential  when   combined   with   the   aggregated  modules  for  this
 * product) OBJECT CODE ONLY SOURCE MATERIALS
 * 
 * (C) COPYRIGHT Digi International Inc. 1995
 * 
 * All Rights Reserved
 * 
 * US   Government   Users   Restricted   Rights   -   Use,   duplication   or
 * disclosure  restricted by GSA ADP Schedule Contract with Digi International
 * Inc.
 * 
 *****************************************************************************/


/******************************************************************
 *
 *
 *  COMMONPT.H
 *
 *    PROTOTYPES FOR COMMON FUNCTIONS.
 *
 *   Usage:  This header is used to compile streams modules that
 *           need protoytpes for compilation (i.e. NT builds).
 *
 ******************************************************************/

#ifndef COMMONPT_D
#define COMMONPT_D

#include "stream.h"
#include "queue.h"
#include "timer.h"
#include "sohalloc.h"

int pullupmsg(mblk_t *, int);
strm_t *news(struct qinit *, struct qinit *);
int sopen(strm_t *, unsigned int, unsigned int, unsigned int);
void sclose(strm_t *);
int slink(strm_t *, strm_t *);
int spush(strm_t *, int);
void flushq(queue_t *, int);
void run_timer(timer_t *, unsigned short);
int adjmsg(mblk_t *, int);
void stop_timers(thead_t *, timer_t *, int);
int msgdsize(mblk_t *);
void init_timers(thead_t *, timer_t *, int, void (*)(), caddr_t);


#endif

